post
https://sandbox.saner.secpod.com/AncorWebService/perform
Get Remediation Job Details and Status.
This method lets you get details of the remediation job for a set of devices and returns the response in a nested format.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| jobname | Name of the remediation job | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Patch.getRemediationJob(
jobname="demo job"
)
print(response)
client.close()Requires Python 3.9 or later.